package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaSensorStatusDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaSensorStatus;
import com.loafle.overflow.service.central.meta.MetaSensorStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaSensorStatusService")
public class CentralMetaSensorStatusService implements MetaSensorStatusService {

  @Autowired
  private MetaSensorStatusDAO sensorStatusDAO;

  public List<MetaSensorStatus> readAll() throws OverflowException {
    return this.sensorStatusDAO.findAll();
  }

  @Override
  public MetaSensorStatus regist(MetaSensorStatus metaSensorStatus) throws OverflowException {
    return this.sensorStatusDAO.save(metaSensorStatus);
  }

  @Override
  public MetaSensorStatus readByKey(String key) throws OverflowException {
    return this.sensorStatusDAO.findByKey(key);
  }
}
